#!/bin/sh

for TAG in USB_DES PCMCIA_DES USB_CONFIG PCMCIA_CONFIG; do
    eval `sed -ne "/^$TAG/s/[   ]//gp" config.mk`
done

if [ $1 -eq 0 ];then
    FASTINPC=$(grep -c fastvnet_cs $PCMCIA_CONFIG/config)
    RFMD=$(grep -c fvnetr_cs $PCMCIA_CONFIG/config)
    if [ $RFMD -lt 1 ]; then
	FASTINPC=0
    fi
    if [ $FASTINPC -lt 3 ]; then
	patch $PCMCIA_CONFIG/config patch/atmel.patch
    fi
elif [ $1 -eq 1 ]; then
    USBINHM=$(grep -c vnetusba $USB_CONFIG/usb.handmap)

    if [ $USBINHM -lt 2 ]; then
	patch $USB_CONFIG/usb.handmap patch/atmel.handmap.patch
    fi
elif [ $1 -eq 2 ]; then
    FASTINPC=$(grep -c fastvnet_cs $PCMCIA_CONFIG/config)
    USBINHM=$(grep -c vnetusba $USB_CONFIG/usb.handmap)

    if [ $FASTINPC -lt 3 ]; then 
	patch $PCMCIA_CONFIG/config patch/atmel.patch
    fi

    if [ $USBINHM -lt 2 ]; then 
	patch $USB_CONFIG/usb.handmap patch/atmel.handmap.patch
    fi
fi


